> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Theme

> Get a theme by id



## OpenAPI

````yaml /openapi.json get /themes/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /themes/{id}:
    get:
      tags:
        - Theme
      summary: Get Theme
      description: Get a theme by id
      operationId: getTheme
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the theme to find
          schema:
            example: '123'
            type: string
      responses:
        '200':
          description: The theme that was found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Theme'
components:
  schemas:
    Theme:
      type: object
      properties:
        id:
          type: string
          description: The ID of the theme
        name:
          type: string
          description: The name of the theme
        variables:
          type: object
          description: The theme palette
        createdAt:
          format: date-time
          type: string
          description: The date the theme was created
        updatedAt:
          format: date-time
          type: string
          description: The date the theme was last updated
        organizationId:
          type: string
          description: The organization that owns the theme
      required:
        - id
        - name
        - variables
        - createdAt
        - updatedAt
        - organizationId

````